%global momorel 12

%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
%define perl_sitearch %(eval "`perl -V:installsitearch`"; echo $installsitearch)

%if %{!?_without_python:1}0
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')
%define python_includedir %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_inc()')
#%define python_version %(%{__python} -c 'import sys; print sys.version.split(" ")[0]')
%define python_version 2.5.1
%define python_libdir %(%{__python} -c 'import distutils.sysconfig, os.path; print os.path.dirname(distutils.sysconfig.get_python_lib(1))')
%endif

Summary: SWF output library
Name: ming
Version: 0.3.0
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.opaque.net/ming/

Source0: http://dl.sourceforge.net/sourceforge/ming/ming-%{version}.tar.gz
Source1: http://dl.sourceforge.net/sourceforge/ming/ming-perl-%{version}.tar.gz
Source2: http://dl.sourceforge.net/sourceforge/ming/ming-py-%{version}.tar.gz
NoSource: 0
NoSource: 1
NoSource: 2

#tmp for Mo3
Obsoletes: jaming
Obsoletes: jaming-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: zlib-devel, perl >= 5.10.0
%{!?_without_python:BuildRequires: python-devel}

%description
Ming is a c library for generating SWF ("Flash") format movies. This
package only contains the basic c-based library - not yet extensions for
Python, Ruby, etc.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package -n perl-ming
Summary: Ming perl module
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: perl
Obsoletes: ming-perl

%description -n perl-ming
Ming perl module - perl wrapper for Ming library.

%package -n python-ming
Summary: Ming Python module
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: python = %{python_version}
Obsoletes: ming-python

%description -n python-ming
Ming Python module.

%prep
%setup -q -b1 -b2

%build
%{__make} all static \
	CC="%{__cc}" \
	LIBDIR=%{_libdir} \
	CFLAGS="%{optflags} -fPIC -I. -I.. -I../src"

install -m 644 src/ming.h .
cd perl_ext
%{__perl} Makefile.PL INSTALLDIRS="site" PREFIX="%{buildroot}%{_prefix}"
%{__make} OPTIMIZE="%{optflags}"
cd -

%if %{!?_without_python:1}0
%{__make} -C py_ext \
	CC="%{__cc}" \
	CFLAGS="%{optflags}" \
	PYINCDIR="%{python_includedir}"
%endif

%{__make} -C util listaction listfdb listjpeg listmp3 listswf makefdb swftophp \
	CC="%{__cc} %{optflags}"

%install
%{__rm} -rf %{buildroot}
%{makeinstall} install-static \
	PREFIX="%{buildroot}%{_prefix}" \
	LIBDIR="%{buildroot}%{_libdir}"

%{__install} -Dp -m0755 util/listaction %{buildroot}%{_bindir}/listaction
%{__install} -Dp -m0755 util/listfdb %{buildroot}%{_bindir}/listfdb
%{__install} -Dp -m0755 util/listjpeg %{buildroot}%{_bindir}/listjpeg
%{__install} -Dp -m0755 util/listmp3 %{buildroot}%{_bindir}/listmp3
%{__install} -Dp -m0755 util/listswf %{buildroot}%{_bindir}/listswf
%{__install} -Dp -m0755 util/makefdb %{buildroot}%{_bindir}/makefdb
%{__install} -Dp -m0755 util/swftophp %{buildroot}%{_bindir}/swftophp

%{__chmod} 0755 %{buildroot}%{_libdir}/libming.so*

%{__make} -C perl_ext install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_sitearch}/auto/*{,/*{,/*}}/.packlist

%if %{!?_without_python:1}0
#%{__install} -d -m0755 %{buildroot}%{python_libdir}
%{__make} -C py_ext install PREFIX="-O1 --skip-build --root=%{buildroot} --prefix=%{_prefix}"
#	DESTDIR="%{buildroot}" \
#	PREFIX="%{buildroot}%{python_libdir}" \
#	PYLIBDIR="%{buildroot}%{python_libdir}"
#	PYLIBDIR="%{buildroot}%{python_sitearch}"
%endif

# Fix ming-config
sed -i "s,\/local,," %{buildroot}%{_bindir}/ming-config

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CREDITS LICENSE README TODO
%doc %{_mandir}/man1/makeswf*
%{_bindir}/dbl2png
%{_bindir}/gif2dbl
%{_bindir}/gif2mask
%{_bindir}/listaction_d
%{_bindir}/listswf_d
%{_bindir}/makeswf
%{_bindir}/ming-config
%{_bindir}/png2dbl
%{_bindir}/png2swf
%{_bindir}/raw2adpcm
%{_bindir}/swftoperl
%{_bindir}/swftopython
%{_bindir}/listaction
%{_bindir}/listfdb
%{_bindir}/listjpeg
%{_bindir}/listmp3
%{_bindir}/listswf
%{_bindir}/makefdb
%{_bindir}/swftophp
%{_libdir}/libming.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/ming.h
%{_includedir}/ming_config.h
%{_includedir}/mingpp.h
%{_libdir}/libming.a
%{_libdir}/libming.so

%files -n perl-ming
%defattr(-, root, root, 0755)
%doc perl_ext/README perl_ext/TODO
%doc %{_mandir}/man3/SWF*
%{perl_sitearch}/SWF.pm
%{perl_sitearch}/SWF/
%{perl_sitearch}/auto/SWF/

%if %{!?_without_python:1}0
%files -n python-ming
%defattr(-, root, root, 0755)
%doc py_ext/README py_ext/TODO
%{python_sitearch}/_mingc.so
%{python_sitearch}/ming.py
%{python_sitearch}/ming.pyc
%ghost %{python_sitearch}/ming.pyo
%{python_sitearch}/mingc.py
%{python_sitearch}/mingc.pyc
%ghost %{python_sitearch}/mingc.pyo
%{python_sitearch}/*.egg-info
%endif

%changelog
* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-12m)
- modify %%files

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-11m)
- rebuild against gcc43

* Sun Feb  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-10m)
- rebuild against perl-5.10.0

* Tue Jul 31 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-9m)
- not multi build

* Mon Jun  4 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.0-8m)
- rebuild against python 2.5.1

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-7m)
- increase release for upgrading from STABLE_3

* Sat Jan 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-6m)
- fix ming-config script

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-5m)
- rebuild against python-2.5

* Wed Dec 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-4m)
- rebuild against python-2.4.4

* Sun Nov 19 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.0-3m)
- rebuild against db4-4.5.20-1m

* Thu Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.0-2m)
- modify install dir

* Thu Jul 20 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-1m)
- import momonga from http://dag.wieers.com/packages/ming/ming.spec
- Momonganize
  - NoSource
  - add -q at %%setup
  - add
    Obsoletes: jaming
    Obsoletes: jaming-devel
  - fix Group: Development/Languages/Perl -> Development/Languages

* Mon May 29 2006 Dag Wieers <dag@wieers.com> - 0.3.0-2
- Added perl and python bindings.

* Sun May 28 2006 Dries Verachtert <dries@ulyssis.org> - 0.3.0-1
- Updated to release 0.3.0.
- Bindings (ming-perl, ming-php, ..) are distributed in separate files now.

* Tue Mar 15 2005 Dag Wieers <dag@wieers.com> - 0.2a-2
- Made libming libraries executable.

* Fri May 14 2004 Dag Wieers <dag@wieers.com> - 0.2a-1
- Initial package. (using DAR)
